using Otter;
using Puppyups.scenes;
using Puppyups.Scenes;
using Puppyups.Utilities;

namespace Puppyups
{
    class Program
    {
        static void Main(string[] args)
        {
            Global.GAME = new Game("Puppyups", 720, 480);
            Global.GAME.MouseVisible = false;//no mouse? right!, how else could you do 2? hmmm. right. //testing HIDE THIS WHEN DONE?
            Global.GAME.SetWindow(1440, 960);
            Global.GAME.WindowX = 420;
            Global.GAME.WindowY = 10;

            var app = Global.PlayerSession = Global.GAME.AddSession("Player");
            app.Controller.AddButton("Start");
            app.Controller.Button("Start").AddKey(Key.Return);
            app.Controller.AddButton("W");
            app.Controller.Button("W").AddKey(Key.W);
            app.Controller.AddButton("A");
            app.Controller.Button("A").AddKey(Key.A);
            app.Controller.AddButton("S");
            app.Controller.Button("S").AddKey(Key.S);
            app.Controller.AddButton("D");
            app.Controller.Button("D").AddKey(Key.D);
            app.Controller.AddButton("M");
            app.Controller.Button("M").AddKey(Key.M);
            app.Controller.AddButton("R");
            app.Controller.Button("R").AddKey(Key.R);
            app.Controller.AddButton("E");
            app.Controller.Button("E").AddKey(Key.E);
            app.Controller.AddButton("Space");
            app.Controller.Button("Space").AddKey(Key.Space);
            app.Controller.AddButton("J");
            app.Controller.Button("J").AddKey(Key.J);

            var app2 = Global.Player2Session = Global.GAME.AddSession("Player2");
            app2.Controller.AddButton("Up");
            app2.Controller.Button("Up").AddKey(Key.Up);
            app2.Controller.AddButton("Left");
            app2.Controller.Button("Left").AddKey(Key.Left);
            app2.Controller.AddButton("Down");
            app2.Controller.Button("Down").AddKey(Key.Down);
            app2.Controller.AddButton("Right");
            app2.Controller.Button("Right").AddKey(Key.Right);
            app2.Controller.AddButton("NumZero");
            app2.Controller.Button("NumZero").AddKey(Key.Numpad0);

            new SoundManager();
            //Global.IsPlayer1GunCollected = true; //testing
            //Global.IsPlayer2GunCollected = true; //testing
            //Global.IsTwoPlayerActive = true;//testing

            Global.GAME.FirstScene = new TitleScreen();//use this for the actual start of the game.
            //Global.GAME.FirstScene = new Yard();//testing
            Global.GAME.Start();
        }
    }
}
